Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf3d
Class GEF3DViewPart

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.amp.axf.view.ModelViewPart
                      org.eclipse.amp.agf.gef.AGFViewPart
                          org.eclipse.amp.agf.gef.EditPartViewPart
                              org.eclipse.amp.agf3d.GEF3DViewPart

All Implemented Interfaces:
  java.util.EventListener, IModelPart, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class GEF3DViewPart

extends EditPartViewPart

Field Summary
`static org.eclipse.draw3d.geometry.Vector3fImpl` | `UP_VECTOR`

Fields inherited from class org.eclipse.amp.agf.gef.EditPartViewPart
`ZOOM_LEVELS`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`GEF3DViewPart()`

Method Summary
`static void` | `calculateDelta(org.eclipse.draw3d.geometry.IVector3f startPoint, org.eclipse.draw3d.geometry.IVector3f endPoint, org.eclipse.draw3d.geometry.Vector3f addPoint, int steps)`
`org.eclipse.gef.EditPartFactory` | `createFactory(java.lang.Object contents)`
`void` | `createModelListeners()` Creates the model listeners.
`void` | `createPartControl(org.eclipse.swt.widgets.Composite parent)` The preference listener for this editor.
`org.eclipse.gef.RootEditPart` | `createRoot()`
`void` | `dispose()`
`int` | `getAnimationStep()`
`int` | `getAnimationStepCount()`
`org.eclipse.draw3d.camera.ICamera` | `getCamera()`
`org.eclipse.gef3d.tools.CameraTool` | `getCameraTool()`
`IModel3DFactoryProvider` | `getFactory3DProvider(java.lang.Object contents)`
`boolean` | `isAnimateCamera()`
`void` | `moveCameraFirstPerson()`
`void` | `moveCameraHelicopter()`
`void` | `moveCameraOverhead()`
`void` | `setAnimateCamera(boolean animateCamera)`
`void` | `setAnimationStepCount(int animationStepCount)`
`void` | `setInput(org.eclipse.ui.IEditorInput input)` Sets the input.

Methods inherited from class org.eclipse.amp.agf.gef.EditPartViewPart
`getAdapter, getEditPart, getRootEditPart, getRootListener, getViewer, getZoomer`

Methods inherited from class org.eclipse.amp.agf.gef.AGFViewPart
`createSelectionSynchronizer`

Methods inherited from class org.eclipse.amp.axf.view.ModelViewPart
`addModelListener, getModel, getModelListeners, getName, getPropertySheetPage, isSingle, propertyChange, removeModelListener, setFocus, setModel, setPartName`

Methods inherited from class org.eclipse.ui.part.ViewPart
`getViewSite, init, init, saveState, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Field Detail

### UP_VECTOR

    public static org.eclipse.draw3d.geometry.Vector3fImpl UP_VECTOR

Constructor Detail

### GEF3DViewPart

    public GEF3DViewPart()

Method Detail

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  The preference listener for this editor.

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `createPartControl` in class `EditPartViewPart`
  See Also:
    `ModelViewPart.createPartControl(org.eclipse.swt.widgets.Composite)`

### createFactory

    public org.eclipse.gef.EditPartFactory createFactory(java.lang.Object contents)

### setInput

    public void setInput(org.eclipse.ui.IEditorInput input)

  Description copied from class: `ModelViewPart`
  Sets the input.

  Overrides:
    `setInput` in class `EditPartViewPart`
  Parameters:
    `input` -
  See Also:
    `EditPartViewPart.setInput(org.eclipse.ui.IEditorInput)`

### createModelListeners

    public void createModelListeners()

  Description copied from interface: `IModelPart`
  Creates the model listeners.

  Specified by:
    `createModelListeners` in interface `IModelPart`
  Overrides:
    `createModelListeners` in class `EditPartViewPart`
  See Also:
    `EditPartViewPart.createModelListeners()`

### getFactory3DProvider

    public IModel3DFactoryProvider getFactory3DProvider(java.lang.Object contents)

### createRoot

    public org.eclipse.gef.RootEditPart createRoot()

  Specified by:
    `createRoot` in class `EditPartViewPart`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `dispose` in class `AGFViewPart`
  See Also:
    `GraphicalEditor.dispose()`

### getCamera

    public org.eclipse.draw3d.camera.ICamera getCamera()

### moveCameraHelicopter

    public void moveCameraHelicopter()

### moveCameraFirstPerson

    public void moveCameraFirstPerson()

### moveCameraOverhead

    public void moveCameraOverhead()

### calculateDelta

    public static void calculateDelta(org.eclipse.draw3d.geometry.IVector3f startPoint,
                                      org.eclipse.draw3d.geometry.IVector3f endPoint,
                                      org.eclipse.draw3d.geometry.Vector3f addPoint,
                                      int steps)

### isAnimateCamera

    public boolean isAnimateCamera()

### setAnimateCamera

    public void setAnimateCamera(boolean animateCamera)

### getAnimationStep

    public int getAnimationStep()

  Returns:
    the animationStep

### getAnimationStepCount

    public int getAnimationStepCount()

  Returns:
    the animationStepCount

### setAnimationStepCount

    public void setAnimationStepCount(int animationStepCount)

  Parameters:
    `animationStepCount` - the animationStepCount to set

### getCameraTool

    public org.eclipse.gef3d.tools.CameraTool getCameraTool()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD